Bug 829374 - (CVE-2012-1724) CVE-2012-1724 OpenJDK: XML parsing infinite loop (JAXP, 7157609)
CVE-2012-1724 OpenJDK: XML parsing infinite loop (JAXP, 7157609)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120612,repor...
: Security
Depends On: 828749 828750 828751 828752 828753 828754 828755 828756 828757 828758 828759 828760
Blocks: 824458
  Show dependency treegraph
 
Reported: 2012-06-06 10:51 EDT by Stefan Cornelius
Modified: 2016-03-04 05:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-06-06 10:51:53 EDT
A flaw was found in the Java API for XML Processing (JAXP) XML parser.  An attacker able to make a Java application parse a specially-crafted XML file could use this flaw to make the XML parser to enter an infinite loop.

This issue was fixed by Xerces upstream via:
http://svn.apache.org/viewvc?view=revision&revision=319059
Comment 6 Tomas Hoger 2012-06-12 16:17:09 EDT
Public now via:
http://www.oracle.com/technetwork/topics/security/javacpujun2012-1515912.html

Fixed in Oracle Java 7 Update 5 and 6 Update 33.
Comment 8 errata-xmlrpc 2012-06-13 09:10:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0730 https://rhn.redhat.com/errata/RHSA-2012-0730.html
Comment 9 errata-xmlrpc 2012-06-13 09:10:36 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0729 https://rhn.redhat.com/errata/RHSA-2012-0729.html
Comment 10 errata-xmlrpc 2012-06-13 16:02:44 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0734 https://rhn.redhat.com/errata/RHSA-2012-0734.html
Comment 14 errata-xmlrpc 2012-06-20 11:15:23 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1019 https://rhn.redhat.com/errata/RHSA-2012-1019.html
Comment 15 errata-xmlrpc 2012-06-20 11:16:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1009 https://rhn.redhat.com/errata/RHSA-2012-1009.html

Note You need to log in before you can comment on or make changes to this bug.